using System.Collections.Generic;

public interface IPaymentCallback
{
	void evInitializeSucceeded();

	void evInitializeFailed(string error);

	void evPurchaseSucceeded(PaymentPurchase purchase);

	void evPurchaseFailed(string error);

	void evPurchaseCancelled(string error);

	void evGetProductListSucceeded(List<PaymentSkuInfo> infos);

	void evGetProductListFailed(string error);

	void evConsumePurchaseSucceeded();

	void evConsumePurchaseSucceedediOS();

	void evConsumePurchaseFailed(string error);
}
